Skip to contentSkip to navigationSkip to topbar
Page toolsOn this pageProducts used
Looking for more inspiration?Visit the

32503: Voice Conversation: Callback event response error.


WARNING: 32503

warning-32503 page anchor
VOICE
WARNING

This warning occurs when Twilio reaches your status callback URL, but your application returns an error response. For Programmable Voice status callback webhooks, your endpoint only needs to acknowledge the request with a 200 OK response.

Possible causes

possible-causes page anchor
  • Your status callback endpoint returned an HTTP error response instead of a successful response.
  • Your endpoint is not handling the HTTP method configured for the callback request in StatusCallbackMethod or statusCallbackMethod. Twilio can send Voice status callbacks with either GET or POST.
  • The callback URL does not point to a publicly accessible application that Twilio can reach consistently.
  • Make sure the callback URL points to a running, publicly accessible endpoint that accepts the configured method.
  • Update your callback handler to return 200 OK after processing the webhook. Voice status callback webhooks do not require TwiML.
  • Review the request and response in the Request Inspector for the affected call to identify the HTTP status code and response body returned by your server.

Additional resources

additional-resources page anchor